## qjoypad 4.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

project(qjoypad)

set(QJOYPAD_MAJOR 4)
set(QJOYPAD_MINOR 3)
set(QJOYPAD_PATCH 0)

find_package(Qt5Widgets REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5X11Extras REQUIRED)

option(WITH_LIBUDEV "Use libudev for automatically updating joypad devices." ON)

if(WITH_LIBUDEV)
	find_package(PkgConfig REQUIRED)

	pkg_check_modules(LIBUDEV libudev)

	if(NOT(LIBUDEV_FOUND))
		message(FATAL_ERROR "libudev not found. If you don't want to compile with libudev support use -DWITH_LIBUDEV=OFF")
	endif()

	link_directories(${LIBUDEV_LIBRARY_DIRS})
	include_directories(${LIBUDEV_INCLUDE_DIRS})
endif()

set(DEVICE_DIR "/dev/input" CACHE PATH "Set the path where QJoyPad will look for your joystick devices. If your devices are /dev/js0, /dev/js1, etc., this should be just \"/dev\". By default, this is /dev/input.")

option(PLAIN_KEYS "Force QJoyPad to use standard XWindows keynames without filtering them for appearance. This will make displays less attractive and readable, but will save processor power and ensure that you see the right names for keys you press." OFF)

option(UPDATE_TRANSLATIONS "Update source translation locale/*.ts
files (WARNING: make clean will delete the source .ts files! Danger!)")

message(STATUS "Using device directory: ${DEVICE_DIR}")

if(PLAIN_KEYS)
	message(STATUS "Using regular XWindows key names.")
	add_definitions(-DPLAIN_KEYS)
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Werror -pedantic -Wno-variadic-macros")
	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3")
endif()

set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -D_DEBUG")

# for config.h
include_directories("${PROJECT_BINARY_DIR}/src")

file(GLOB qjoypad_TRANS_SOURCES translations/qjoypad*.ts)

if(UPDATE_TRANSLATIONS)
	file(GLOB_RECURSE qjoypad_TRANS_FILES *.cpp *.h)
        qt5_create_translation(qjoypad_TRANS ${qjoypad_TRANS_SOURCES} ${qjoypad_TRANS_FILES})
else()
        qt5_add_translation(qjoypad_TRANS ${qjoypad_TRANS_SOURCES})
endif()

add_subdirectory(icons)
add_subdirectory(src)

add_custom_target(translations_target DEPENDS ${qjoypad_TRANS})
add_dependencies(qjoypad translations_target)

install(PROGRAMS qjoypad.desktop DESTINATION "share/applications")
install(FILES ${qjoypad_TRANS} DESTINATION "share/qjoypad/translations")

# uninstall target
configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake"
	IMMEDIATE @ONLY)

add_custom_target(uninstall
	COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake")

=== icons/CMakeLists.txt ===
install(FILES gamepad4-24x24.png DESTINATION "share/icons/hicolor/24x24/apps" RENAME qjoypad.png)
install(FILES gamepad4-64x64.png DESTINATION "share/icons/hicolor/64x64/apps" RENAME qjoypad.png)

=== src/CMakeLists.txt ===
include(GenerateExportHeader)

configure_file(config.h.in "${CMAKE_CURRENT_BINARY_DIR}/config.h" @ONLY)

set(qjoypad_SOURCES 
	axis.cpp
	axis_edit.cpp
	axisw.cpp
	button.cpp
	button_edit.cpp
	buttonw.cpp
	event.cpp
	flash.cpp
	icon.cpp
	joypad.cpp
	joypadw.cpp
	joyslider.cpp
	keycode.cpp
	keydialog.cpp
	layout.cpp
	layout_edit.cpp
	main.cpp
	quickset.cpp)

set(qjoypad_QOBJECT_HEADERS
	axis_edit.h
	axis.h
	axisw.h
	button_edit.h
	button.h
	buttonw.h
	flash.h
	icon.h
	joypad.h
	joypadw.h
	joyslider.h
	keycode.h
	keydialog.hpp
	layout_edit.h
	layout.h
	quickset.h)

qt5_wrap_cpp(qjoypad_HEADERS_MOC ${qjoypad_QOBJECT_HEADERS})
add_executable(qjoypad ${qjoypad_SOURCES} ${qjoypad_HEADERS_MOC})
target_link_libraries(qjoypad Qt5::Widgets Qt5::X11Extras Xtst X11 ${LIBUDEV_LIBRARIES})

install(TARGETS qjoypad RUNTIME DESTINATION "bin")

## qjoypad 4.1.0

=== debian/changelog ===
qjoypad (4.1.0-2.1fakesync1) artful-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 05 Jun 2017 11:20:57 +0530

qjoypad (4.1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use proper RAII to fix crash (Closes: #853801), thanks Frédéric Brière.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 15 May 2017 22:16:08 +0200

qjoypad (4.1.0-2) unstable; urgency=medium

  * Team upload.

  [ Jordan Metzmeier ]
  * Fix FTBFS using clang
    (Closes: #752125, thanks to Alexander Ovchinnikov)

  [ Stephen Kitt ]
  * Define INSTALL_ROOT so that the installation can complete correctly
    (Closes: #840346)

 -- Stephen Kitt <skitt@debian.org>  Tue, 18 Oct 2016 08:50:02 +0200

qjoypad (4.1.0-1) unstable; urgency=low

  * Initial release (Closes: #564503)

 -- Jordan Metzmeier <jmetzmeier01@gmail.com>  Wed, 26 Feb 2014 00:00:31 -0600

=== debian/control ===
Source: qjoypad
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jordan Metzmeier <jmetzmeier01@gmail.com>
Build-Depends: debhelper (>= 9.0.0), qt4-qmake, libxtst-dev, libqt4-dev (>= 4.2), pkg-config, libx11-dev, dpkg-dev (>= 1.16.1.1)
Standards-Version: 3.9.5
Homepage: http://qjoypad.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/qjoypad.git
Vcs-Git: http://anonscm.debian.org/git/pkg-games/qjoypad.git

Package: qjoypad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Program for mapping gamepad/joystick events to mouse/keyboard event
 QJoyPad takes input from a gamepad or joystick and translates it into
 key strokes or mouse actions, letting you control any X-Windows program
 with your game controller. This lets you play all those games that for
 some reason don't have joystick support with your joystick.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QMAKE_CFLAGS_RELEASE="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
export QMAKE_CFLAGS_DEBUG="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
export QMAKE_CXXFLAGS_RELEASE="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
export QMAKE_CXXFLAGS_DEBUG="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
export QMAKE_LFLAGS_RELEASE="$(shell dpkg-buildflags --get LDFLAGS)"
export QMAKE_LFLAGS_DEBUG="$(shell dpkg-buildflags --get LDFLAGS)"

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -- INSTALL_ROOT=$${PWD}/debian/tmp

=== debian/watch ===
version=3
http://sf.net/qjoypad/qjoypad-(.*)\.tar\.gz

## qjoypad 4.3.1

=== debian/changelog ===
qjoypad (4.3.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113443)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 19:42:18 +0300

qjoypad (4.3.1-3) unstable; urgency=medium

  * Fix the watch file.
  * Tabs -> spaces in d/copyright.
  * dh 13.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 29 Sep 2021 20:58:48 +0200

qjoypad (4.3.1-2) unstable; urgency=medium

  * Use https:// for the copyright format.
  * Enable hardening.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 10 Jan 2020 17:38:54 +0100

qjoypad (4.3.1-1) unstable; urgency=medium

  * Reintroduce the package.  Closes: #947180.
  * New maintainer, thanks Jordan for your prior work!
  * Switch to a new upstream.  Closes: #870122.
  * QT 5.  Closes: #875137.
  * Set arch to linux-any.  Closes: #863132.
  * Drop the Debian menu, use upstream .desktop.
  * Generally modernize the package.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 22 Dec 2019 17:20:04 +0100

=== debian/control ===
Source: qjoypad
Section: utils
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: cmake,
               debhelper-compat (=13),
               libqt5x11extras5-dev,
               libudev-dev,
               libxtst-dev,
               pkg-config,
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/panzi/qjoypad
Vcs-Browser: https://github.com/kilobyte/qjoypad/tree/debian
Vcs-Git: https://github.com/kilobyte/qjoypad -b debian

Package: qjoypad
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: map gamepad/joystick events to mouse/keyboard event
 QJoyPad takes input from a gamepad or joystick and translates it into
 key strokes or mouse actions, letting you control any X-Windows program
 with your game controller.  This lets you play all those games that for
 some reason don't have joystick support with your joystick.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/qjoypad-$1\.tar\.gz/ \
  https://github.com/panzi/qjoypad/tags .*/tags/v?(\d\S*)\.tar\.gz
